Description

Hola

Trabajando con el módulo de Edición, tuvimos que tratar el caso de realizar una comprobación antes de eliminar una feature , es
decir, que después de marcar una capa como en edición, seleccionar una feature de la misma y pulsan en la tecla "suprimir" se
comprobase algo antes de proceder a eliminar.
Tal y como está el código este caso no está contemplado debido a que os falta el caso de removeFeature en la interfaz
IEditionManager (si están en cambio los métodos insert, update, stopEditLayer).

Hemos modificado el código para tratar este caso y hemos comprobado que funciona correctamente. Os comento aquí los cambios
que hemos hecho para que los incorporéis a la nueva versión con la que estáis trabajando, en el caso de que consideréis que están
bien.

Interfaz IEditonManager
Declarar el método removeFeature

public void removeFeature(FeatureStore store, Feature feature);

Clase CADToolAdapter
Modificar el método delete para que en lugar de eliminar la feature directamente desde el store (featureStore.delete(feature)) se haga
la llamada a través del EditionManager de modo que éste llame a sus observadores antes de realizar la eliminación.

El código seria substituir 

featureStore.delete(feature);

por

IEditionManager edMan = EditionLocator.getEditionManager();
edMan.removeFeature(featureStore,feature);
De este modo, cuando se elimine una feature se llamará primero a los posibles observadores que pueda haber y realizar las
comprobaciones oportunas (en el caso de que hubiera).

Saludos

Associated revisions
Revision 41045 - 01/13/2014 12:02 PM - Joaquín  del Cerro Murciano

Add removeFeature to IEditionManager and use in CADToolAdapter.
refs #1872

History
#1 - 06/03/2013 01:04 PM - Manuel Madrid
- Category set to Vector editing
- gvSIG build set to 2066

#2 - 01/13/2014 01:15 PM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano

#3 - 01/13/2014 06:03 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed
- Target version set to 2.1.0-2217-devel

#4 - 01/27/2014 04:39 PM - Álvaro Anguix
- Status changed from Fixed to Closed

05/06/2024 2/2


